<mat-sidenav-container class="example-container">
  <mat-sidenav opened mode="side" style="background-color: whitesmoke;">
    <div class="user-profile" routerLink="/">
      <div class="profile-img">
        <img src="favicon.ico" />
      </div>
    </div>

    <mat-nav-list>
      <mat-list-item *ngFor="let menuitem of shownMenuItems" routerLinkActive="selected">
        <a class="" [routerLink]="['/', menuitem.state]" *ngIf="menuitem.type === 'link'">
          <div style="display: flex;
          align-items: center;
          justify-content: center;">
            <mat-icon>{{ menuitem.icon }}</mat-icon>
            <span class="mat-list-text-span">{{ menuitem.name }}</span>
          </div>

        </a>
      </mat-list-item>
    </mat-nav-list>
  </mat-sidenav>
  <div style="margin: 5px;">
    <router-outlet></router-outlet>
  </div>

</mat-sidenav-container>
